package com.mortals.xhx.module.staff.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.staff.model.StaffLeaveEntity;
/**
* 员工离职信息查询对象
*
* @author zxfei
* @date 2023-10-18
*/
public class StaffLeaveQuery extends StaffLeaveEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 序号，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 员工姓名 */
    private List<String> nameList;

    /** 员工姓名排除列表 */
    private List <String> nameNotList;
    /** 照片 */
    private List<String> photoPathList;

    /** 照片排除列表 */
    private List <String> photoPathNotList;
    /** 邮件地址 */
    private List<String> emailList;

    /** 邮件地址排除列表 */
    private List <String> emailNotList;
    /** 联系电话 */
    private List<String> phoneNumberList;

    /** 联系电话排除列表 */
    private List <String> phoneNumberNotList;
    /** 所属公司 */
    private List<String> companyIdsList;

    /** 所属公司排除列表 */
    private List <String> companyIdsNotList;
    /** 所属公司名称 */
    private List<String> companyNameList;

    /** 所属公司名称排除列表 */
    private List <String> companyNameNotList;
    /** 职位名称 */
    private List<String> positionNameList;

    /** 职位名称排除列表 */
    private List <String> positionNameNotList;
    /** 开始 员工状态(1.正式,2.试用,3.离职) */
    private Integer staffStatusStart;

    /** 结束 员工状态(1.正式,2.试用,3.离职) */
    private Integer staffStatusEnd;

    /** 增加 员工状态(1.正式,2.试用,3.离职) */
    private Integer staffStatusIncrement;

    /** 员工状态(1.正式,2.试用,3.离职)列表 */
    private List <Integer> staffStatusList;

    /** 员工状态(1.正式,2.试用,3.离职)排除列表 */
    private List <Integer> staffStatusNotList;

    /** 开始 离职时间 */
    private String leaveDateStart;

    /** 结束 离职时间 */
    private String leaveDateEnd;

    /** 备注 */
    private List<String> remarkList;

    /** 备注排除列表 */
    private List <String> remarkNotList;
    /** 开始 累计查看次数 */
    private Integer sumViewsStart;

    /** 结束 累计查看次数 */
    private Integer sumViewsEnd;

    /** 增加 累计查看次数 */
    private Integer sumViewsIncrement;

    /** 累计查看次数列表 */
    private List <Integer> sumViewsList;

    /** 累计查看次数排除列表 */
    private List <Integer> sumViewsNotList;

    /** 开始 当日查看次数 */
    private Integer viewsByDayStart;

    /** 结束 当日查看次数 */
    private Integer viewsByDayEnd;

    /** 增加 当日查看次数 */
    private Integer viewsByDayIncrement;

    /** 当日查看次数列表 */
    private List <Integer> viewsByDayList;

    /** 当日查看次数排除列表 */
    private List <Integer> viewsByDayNotList;

    /** 开始 发送名片次数 */
    private Integer sendBusinessCardTimesStart;

    /** 结束 发送名片次数 */
    private Integer sendBusinessCardTimesEnd;

    /** 增加 发送名片次数 */
    private Integer sendBusinessCardTimesIncrement;

    /** 发送名片次数列表 */
    private List <Integer> sendBusinessCardTimesList;

    /** 发送名片次数排除列表 */
    private List <Integer> sendBusinessCardTimesNotList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<StaffLeaveQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<StaffLeaveQuery> andConditionList;

    public StaffLeaveQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 员工姓名
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 员工姓名
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 员工姓名
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 员工姓名
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 照片
    * @return photoPathList
    */
    public List<String> getPhotoPathList(){
        return this.photoPathList;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public void setPhotoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
    }

    /**
    * 获取 照片
    * @return photoPathNotList
    */
    public List<String> getPhotoPathNotList(){
        return this.photoPathNotList;
    }

    /**
    * 设置 照片
    * @param photoPathNotList
    */
    public void setPhotoPathNotList(List<String> photoPathNotList){
        this.photoPathNotList = photoPathNotList;
    }

    /**
    * 获取 邮件地址
    * @return emailList
    */
    public List<String> getEmailList(){
        return this.emailList;
    }

    /**
    * 设置 邮件地址
    * @param emailList
    */
    public void setEmailList(List<String> emailList){
        this.emailList = emailList;
    }

    /**
    * 获取 邮件地址
    * @return emailNotList
    */
    public List<String> getEmailNotList(){
        return this.emailNotList;
    }

    /**
    * 设置 邮件地址
    * @param emailNotList
    */
    public void setEmailNotList(List<String> emailNotList){
        this.emailNotList = emailNotList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumberList
    */
    public List<String> getPhoneNumberList(){
        return this.phoneNumberList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberList
    */
    public void setPhoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
    }

    /**
    * 获取 联系电话
    * @return phoneNumberNotList
    */
    public List<String> getPhoneNumberNotList(){
        return this.phoneNumberNotList;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberNotList
    */
    public void setPhoneNumberNotList(List<String> phoneNumberNotList){
        this.phoneNumberNotList = phoneNumberNotList;
    }

    /**
    * 获取 所属公司
    * @return companyIdsList
    */
    public List<String> getCompanyIdsList(){
        return this.companyIdsList;
    }

    /**
    * 设置 所属公司
    * @param companyIdsList
    */
    public void setCompanyIdsList(List<String> companyIdsList){
        this.companyIdsList = companyIdsList;
    }

    /**
    * 获取 所属公司
    * @return companyIdsNotList
    */
    public List<String> getCompanyIdsNotList(){
        return this.companyIdsNotList;
    }

    /**
    * 设置 所属公司
    * @param companyIdsNotList
    */
    public void setCompanyIdsNotList(List<String> companyIdsNotList){
        this.companyIdsNotList = companyIdsNotList;
    }

    /**
    * 获取 所属公司名称
    * @return companyNameList
    */
    public List<String> getCompanyNameList(){
        return this.companyNameList;
    }

    /**
    * 设置 所属公司名称
    * @param companyNameList
    */
    public void setCompanyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
    }

    /**
    * 获取 所属公司名称
    * @return companyNameNotList
    */
    public List<String> getCompanyNameNotList(){
        return this.companyNameNotList;
    }

    /**
    * 设置 所属公司名称
    * @param companyNameNotList
    */
    public void setCompanyNameNotList(List<String> companyNameNotList){
        this.companyNameNotList = companyNameNotList;
    }

    /**
    * 获取 职位名称
    * @return positionNameList
    */
    public List<String> getPositionNameList(){
        return this.positionNameList;
    }

    /**
    * 设置 职位名称
    * @param positionNameList
    */
    public void setPositionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
    }

    /**
    * 获取 职位名称
    * @return positionNameNotList
    */
    public List<String> getPositionNameNotList(){
        return this.positionNameNotList;
    }

    /**
    * 设置 职位名称
    * @param positionNameNotList
    */
    public void setPositionNameNotList(List<String> positionNameNotList){
        this.positionNameNotList = positionNameNotList;
    }

    /**
    * 获取 开始 员工状态(1.正式,2.试用,3.离职)
    * @return staffStatusStart
    */
    public Integer getStaffStatusStart(){
        return this.staffStatusStart;
    }

    /**
    * 设置 开始 员工状态(1.正式,2.试用,3.离职)
    * @param staffStatusStart
    */
    public void setStaffStatusStart(Integer staffStatusStart){
        this.staffStatusStart = staffStatusStart;
    }

    /**
    * 获取 结束 员工状态(1.正式,2.试用,3.离职)
    * @return $staffStatusEnd
    */
    public Integer getStaffStatusEnd(){
        return this.staffStatusEnd;
    }

    /**
    * 设置 结束 员工状态(1.正式,2.试用,3.离职)
    * @param staffStatusEnd
    */
    public void setStaffStatusEnd(Integer staffStatusEnd){
        this.staffStatusEnd = staffStatusEnd;
    }

    /**
    * 获取 增加 员工状态(1.正式,2.试用,3.离职)
    * @return staffStatusIncrement
    */
    public Integer getStaffStatusIncrement(){
        return this.staffStatusIncrement;
    }

    /**
    * 设置 增加 员工状态(1.正式,2.试用,3.离职)
    * @param staffStatusIncrement
    */
    public void setStaffStatusIncrement(Integer staffStatusIncrement){
        this.staffStatusIncrement = staffStatusIncrement;
    }

    /**
    * 获取 员工状态(1.正式,2.试用,3.离职)
    * @return staffStatusList
    */
    public List<Integer> getStaffStatusList(){
        return this.staffStatusList;
    }

    /**
    * 设置 员工状态(1.正式,2.试用,3.离职)
    * @param staffStatusList
    */
    public void setStaffStatusList(List<Integer> staffStatusList){
        this.staffStatusList = staffStatusList;
    }

    /**
    * 获取 员工状态(1.正式,2.试用,3.离职)
    * @return staffStatusNotList
    */
    public List<Integer> getStaffStatusNotList(){
        return this.staffStatusNotList;
    }

    /**
    * 设置 员工状态(1.正式,2.试用,3.离职)
    * @param staffStatusNotList
    */
    public void setStaffStatusNotList(List<Integer> staffStatusNotList){
        this.staffStatusNotList = staffStatusNotList;
    }


    /**
    * 获取 开始 离职时间
    * @return leaveDateStart
    */
    public String getLeaveDateStart(){
        return this.leaveDateStart;
    }

    /**
    * 设置 开始 离职时间
    * @param leaveDateStart
    */
    public void setLeaveDateStart(String leaveDateStart){
        this.leaveDateStart = leaveDateStart;
    }

    /**
    * 获取 结束 离职时间
    * @return leaveDateEnd
    */
    public String getLeaveDateEnd(){
        return this.leaveDateEnd;
    }

    /**
    * 设置 结束 离职时间
    * @param leaveDateEnd
    */
    public void setLeaveDateEnd(String leaveDateEnd){
        this.leaveDateEnd = leaveDateEnd;
    }

    /**
    * 获取 备注
    * @return remarkList
    */
    public List<String> getRemarkList(){
        return this.remarkList;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public void setRemarkList(List<String> remarkList){
        this.remarkList = remarkList;
    }

    /**
    * 获取 备注
    * @return remarkNotList
    */
    public List<String> getRemarkNotList(){
        return this.remarkNotList;
    }

    /**
    * 设置 备注
    * @param remarkNotList
    */
    public void setRemarkNotList(List<String> remarkNotList){
        this.remarkNotList = remarkNotList;
    }

    /**
    * 获取 开始 累计查看次数
    * @return sumViewsStart
    */
    public Integer getSumViewsStart(){
        return this.sumViewsStart;
    }

    /**
    * 设置 开始 累计查看次数
    * @param sumViewsStart
    */
    public void setSumViewsStart(Integer sumViewsStart){
        this.sumViewsStart = sumViewsStart;
    }

    /**
    * 获取 结束 累计查看次数
    * @return $sumViewsEnd
    */
    public Integer getSumViewsEnd(){
        return this.sumViewsEnd;
    }

    /**
    * 设置 结束 累计查看次数
    * @param sumViewsEnd
    */
    public void setSumViewsEnd(Integer sumViewsEnd){
        this.sumViewsEnd = sumViewsEnd;
    }

    /**
    * 获取 增加 累计查看次数
    * @return sumViewsIncrement
    */
    public Integer getSumViewsIncrement(){
        return this.sumViewsIncrement;
    }

    /**
    * 设置 增加 累计查看次数
    * @param sumViewsIncrement
    */
    public void setSumViewsIncrement(Integer sumViewsIncrement){
        this.sumViewsIncrement = sumViewsIncrement;
    }

    /**
    * 获取 累计查看次数
    * @return sumViewsList
    */
    public List<Integer> getSumViewsList(){
        return this.sumViewsList;
    }

    /**
    * 设置 累计查看次数
    * @param sumViewsList
    */
    public void setSumViewsList(List<Integer> sumViewsList){
        this.sumViewsList = sumViewsList;
    }

    /**
    * 获取 累计查看次数
    * @return sumViewsNotList
    */
    public List<Integer> getSumViewsNotList(){
        return this.sumViewsNotList;
    }

    /**
    * 设置 累计查看次数
    * @param sumViewsNotList
    */
    public void setSumViewsNotList(List<Integer> sumViewsNotList){
        this.sumViewsNotList = sumViewsNotList;
    }


    /**
    * 获取 开始 当日查看次数
    * @return viewsByDayStart
    */
    public Integer getViewsByDayStart(){
        return this.viewsByDayStart;
    }

    /**
    * 设置 开始 当日查看次数
    * @param viewsByDayStart
    */
    public void setViewsByDayStart(Integer viewsByDayStart){
        this.viewsByDayStart = viewsByDayStart;
    }

    /**
    * 获取 结束 当日查看次数
    * @return $viewsByDayEnd
    */
    public Integer getViewsByDayEnd(){
        return this.viewsByDayEnd;
    }

    /**
    * 设置 结束 当日查看次数
    * @param viewsByDayEnd
    */
    public void setViewsByDayEnd(Integer viewsByDayEnd){
        this.viewsByDayEnd = viewsByDayEnd;
    }

    /**
    * 获取 增加 当日查看次数
    * @return viewsByDayIncrement
    */
    public Integer getViewsByDayIncrement(){
        return this.viewsByDayIncrement;
    }

    /**
    * 设置 增加 当日查看次数
    * @param viewsByDayIncrement
    */
    public void setViewsByDayIncrement(Integer viewsByDayIncrement){
        this.viewsByDayIncrement = viewsByDayIncrement;
    }

    /**
    * 获取 当日查看次数
    * @return viewsByDayList
    */
    public List<Integer> getViewsByDayList(){
        return this.viewsByDayList;
    }

    /**
    * 设置 当日查看次数
    * @param viewsByDayList
    */
    public void setViewsByDayList(List<Integer> viewsByDayList){
        this.viewsByDayList = viewsByDayList;
    }

    /**
    * 获取 当日查看次数
    * @return viewsByDayNotList
    */
    public List<Integer> getViewsByDayNotList(){
        return this.viewsByDayNotList;
    }

    /**
    * 设置 当日查看次数
    * @param viewsByDayNotList
    */
    public void setViewsByDayNotList(List<Integer> viewsByDayNotList){
        this.viewsByDayNotList = viewsByDayNotList;
    }


    /**
    * 获取 开始 发送名片次数
    * @return sendBusinessCardTimesStart
    */
    public Integer getSendBusinessCardTimesStart(){
        return this.sendBusinessCardTimesStart;
    }

    /**
    * 设置 开始 发送名片次数
    * @param sendBusinessCardTimesStart
    */
    public void setSendBusinessCardTimesStart(Integer sendBusinessCardTimesStart){
        this.sendBusinessCardTimesStart = sendBusinessCardTimesStart;
    }

    /**
    * 获取 结束 发送名片次数
    * @return $sendBusinessCardTimesEnd
    */
    public Integer getSendBusinessCardTimesEnd(){
        return this.sendBusinessCardTimesEnd;
    }

    /**
    * 设置 结束 发送名片次数
    * @param sendBusinessCardTimesEnd
    */
    public void setSendBusinessCardTimesEnd(Integer sendBusinessCardTimesEnd){
        this.sendBusinessCardTimesEnd = sendBusinessCardTimesEnd;
    }

    /**
    * 获取 增加 发送名片次数
    * @return sendBusinessCardTimesIncrement
    */
    public Integer getSendBusinessCardTimesIncrement(){
        return this.sendBusinessCardTimesIncrement;
    }

    /**
    * 设置 增加 发送名片次数
    * @param sendBusinessCardTimesIncrement
    */
    public void setSendBusinessCardTimesIncrement(Integer sendBusinessCardTimesIncrement){
        this.sendBusinessCardTimesIncrement = sendBusinessCardTimesIncrement;
    }

    /**
    * 获取 发送名片次数
    * @return sendBusinessCardTimesList
    */
    public List<Integer> getSendBusinessCardTimesList(){
        return this.sendBusinessCardTimesList;
    }

    /**
    * 设置 发送名片次数
    * @param sendBusinessCardTimesList
    */
    public void setSendBusinessCardTimesList(List<Integer> sendBusinessCardTimesList){
        this.sendBusinessCardTimesList = sendBusinessCardTimesList;
    }

    /**
    * 获取 发送名片次数
    * @return sendBusinessCardTimesNotList
    */
    public List<Integer> getSendBusinessCardTimesNotList(){
        return this.sendBusinessCardTimesNotList;
    }

    /**
    * 设置 发送名片次数
    * @param sendBusinessCardTimesNotList
    */
    public void setSendBusinessCardTimesNotList(List<Integer> sendBusinessCardTimesNotList){
        this.sendBusinessCardTimesNotList = sendBusinessCardTimesNotList;
    }


    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public StaffLeaveQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public StaffLeaveQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public StaffLeaveQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public StaffLeaveQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public StaffLeaveQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 序号，主键，自增长
        * @param idNotList
        */
        public StaffLeaveQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 员工姓名
    * @param name
    */
    public StaffLeaveQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 员工姓名
    * @param nameList
    */
    public StaffLeaveQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 照片
    * @param photoPath
    */
    public StaffLeaveQuery photoPath(String photoPath){
        setPhotoPath(photoPath);
		return this;
    }

    /**
    * 设置 照片
    * @param photoPathList
    */
    public StaffLeaveQuery photoPathList(List<String> photoPathList){
        this.photoPathList = photoPathList;
		return this;
    }


	/**
    * 设置 邮件地址
    * @param email
    */
    public StaffLeaveQuery email(String email){
        setEmail(email);
		return this;
    }

    /**
    * 设置 邮件地址
    * @param emailList
    */
    public StaffLeaveQuery emailList(List<String> emailList){
        this.emailList = emailList;
		return this;
    }


	/**
    * 设置 联系电话
    * @param phoneNumber
    */
    public StaffLeaveQuery phoneNumber(String phoneNumber){
        setPhoneNumber(phoneNumber);
		return this;
    }

    /**
    * 设置 联系电话
    * @param phoneNumberList
    */
    public StaffLeaveQuery phoneNumberList(List<String> phoneNumberList){
        this.phoneNumberList = phoneNumberList;
		return this;
    }


	/**
    * 设置 所属公司
    * @param companyIds
    */
    public StaffLeaveQuery companyIds(String companyIds){
        setCompanyIds(companyIds);
		return this;
    }

    /**
    * 设置 所属公司
    * @param companyIdsList
    */
    public StaffLeaveQuery companyIdsList(List<String> companyIdsList){
        this.companyIdsList = companyIdsList;
		return this;
    }


	/**
    * 设置 所属公司名称
    * @param companyName
    */
    public StaffLeaveQuery companyName(String companyName){
        setCompanyName(companyName);
		return this;
    }

    /**
    * 设置 所属公司名称
    * @param companyNameList
    */
    public StaffLeaveQuery companyNameList(List<String> companyNameList){
        this.companyNameList = companyNameList;
		return this;
    }


	/**
    * 设置 职位名称
    * @param positionName
    */
    public StaffLeaveQuery positionName(String positionName){
        setPositionName(positionName);
		return this;
    }

    /**
    * 设置 职位名称
    * @param positionNameList
    */
    public StaffLeaveQuery positionNameList(List<String> positionNameList){
        this.positionNameList = positionNameList;
		return this;
    }

    /**
    * 设置  员工状态(1.正式,2.试用,3.离职)
    * @param staffStatus
    */
    public StaffLeaveQuery staffStatus(Integer staffStatus){
	    setStaffStatus(staffStatus);
		return this;
    }
	
	 /**
    * 设置 开始 员工状态(1.正式,2.试用,3.离职)
    * @param staffStatusStart
    */
    public StaffLeaveQuery staffStatusStart(Integer staffStatusStart){
		this.staffStatusStart = staffStatusStart;
		return this;
    }

    /**
    * 设置 结束 员工状态(1.正式,2.试用,3.离职)
    * @param staffStatusEnd
    */
    public StaffLeaveQuery staffStatusEnd(Integer staffStatusEnd){
		this.staffStatusEnd = staffStatusEnd;
		return this;
    }

    /**
    * 设置 增加 员工状态(1.正式,2.试用,3.离职)
    * @param staffStatusIncrement
    */
    public StaffLeaveQuery staffStatusIncrement(Integer staffStatusIncrement){
		this.staffStatusIncrement = staffStatusIncrement;
		return this;
    }

    /**
    * 设置 员工状态(1.正式,2.试用,3.离职)
    * @param staffStatusList
    */
    public StaffLeaveQuery staffStatusList(List<Integer> staffStatusList){
        this.staffStatusList = staffStatusList;
		return this;
        }

        /**
        * 设置 员工状态(1.正式,2.试用,3.离职)
        * @param staffStatusNotList
        */
        public StaffLeaveQuery staffStatusNotList(List<Integer> staffStatusNotList){
        this.staffStatusNotList = staffStatusNotList;
        return this;
        }



	/**
    * 设置 备注
    * @param remark
    */
    public StaffLeaveQuery remark(String remark){
        setRemark(remark);
		return this;
    }

    /**
    * 设置 备注
    * @param remarkList
    */
    public StaffLeaveQuery remarkList(List<String> remarkList){
        this.remarkList = remarkList;
		return this;
    }

    /**
    * 设置  累计查看次数
    * @param sumViews
    */
    public StaffLeaveQuery sumViews(Integer sumViews){
	    setSumViews(sumViews);
		return this;
    }
	
	 /**
    * 设置 开始 累计查看次数
    * @param sumViewsStart
    */
    public StaffLeaveQuery sumViewsStart(Integer sumViewsStart){
		this.sumViewsStart = sumViewsStart;
		return this;
    }

    /**
    * 设置 结束 累计查看次数
    * @param sumViewsEnd
    */
    public StaffLeaveQuery sumViewsEnd(Integer sumViewsEnd){
		this.sumViewsEnd = sumViewsEnd;
		return this;
    }

    /**
    * 设置 增加 累计查看次数
    * @param sumViewsIncrement
    */
    public StaffLeaveQuery sumViewsIncrement(Integer sumViewsIncrement){
		this.sumViewsIncrement = sumViewsIncrement;
		return this;
    }

    /**
    * 设置 累计查看次数
    * @param sumViewsList
    */
    public StaffLeaveQuery sumViewsList(List<Integer> sumViewsList){
        this.sumViewsList = sumViewsList;
		return this;
        }

        /**
        * 设置 累计查看次数
        * @param sumViewsNotList
        */
        public StaffLeaveQuery sumViewsNotList(List<Integer> sumViewsNotList){
        this.sumViewsNotList = sumViewsNotList;
        return this;
        }

    /**
    * 设置  当日查看次数
    * @param viewsByDay
    */
    public StaffLeaveQuery viewsByDay(Integer viewsByDay){
	    setViewsByDay(viewsByDay);
		return this;
    }
	
	 /**
    * 设置 开始 当日查看次数
    * @param viewsByDayStart
    */
    public StaffLeaveQuery viewsByDayStart(Integer viewsByDayStart){
		this.viewsByDayStart = viewsByDayStart;
		return this;
    }

    /**
    * 设置 结束 当日查看次数
    * @param viewsByDayEnd
    */
    public StaffLeaveQuery viewsByDayEnd(Integer viewsByDayEnd){
		this.viewsByDayEnd = viewsByDayEnd;
		return this;
    }

    /**
    * 设置 增加 当日查看次数
    * @param viewsByDayIncrement
    */
    public StaffLeaveQuery viewsByDayIncrement(Integer viewsByDayIncrement){
		this.viewsByDayIncrement = viewsByDayIncrement;
		return this;
    }

    /**
    * 设置 当日查看次数
    * @param viewsByDayList
    */
    public StaffLeaveQuery viewsByDayList(List<Integer> viewsByDayList){
        this.viewsByDayList = viewsByDayList;
		return this;
        }

        /**
        * 设置 当日查看次数
        * @param viewsByDayNotList
        */
        public StaffLeaveQuery viewsByDayNotList(List<Integer> viewsByDayNotList){
        this.viewsByDayNotList = viewsByDayNotList;
        return this;
        }

    /**
    * 设置  发送名片次数
    * @param sendBusinessCardTimes
    */
    public StaffLeaveQuery sendBusinessCardTimes(Integer sendBusinessCardTimes){
	    setSendBusinessCardTimes(sendBusinessCardTimes);
		return this;
    }
	
	 /**
    * 设置 开始 发送名片次数
    * @param sendBusinessCardTimesStart
    */
    public StaffLeaveQuery sendBusinessCardTimesStart(Integer sendBusinessCardTimesStart){
		this.sendBusinessCardTimesStart = sendBusinessCardTimesStart;
		return this;
    }

    /**
    * 设置 结束 发送名片次数
    * @param sendBusinessCardTimesEnd
    */
    public StaffLeaveQuery sendBusinessCardTimesEnd(Integer sendBusinessCardTimesEnd){
		this.sendBusinessCardTimesEnd = sendBusinessCardTimesEnd;
		return this;
    }

    /**
    * 设置 增加 发送名片次数
    * @param sendBusinessCardTimesIncrement
    */
    public StaffLeaveQuery sendBusinessCardTimesIncrement(Integer sendBusinessCardTimesIncrement){
		this.sendBusinessCardTimesIncrement = sendBusinessCardTimesIncrement;
		return this;
    }

    /**
    * 设置 发送名片次数
    * @param sendBusinessCardTimesList
    */
    public StaffLeaveQuery sendBusinessCardTimesList(List<Integer> sendBusinessCardTimesList){
        this.sendBusinessCardTimesList = sendBusinessCardTimesList;
		return this;
        }

        /**
        * 设置 发送名片次数
        * @param sendBusinessCardTimesNotList
        */
        public StaffLeaveQuery sendBusinessCardTimesNotList(List<Integer> sendBusinessCardTimesNotList){
        this.sendBusinessCardTimesNotList = sendBusinessCardTimesNotList;
        return this;
        }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public StaffLeaveQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public StaffLeaveQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public StaffLeaveQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public StaffLeaveQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public StaffLeaveQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public StaffLeaveQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public StaffLeaveQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public StaffLeaveQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public StaffLeaveQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public StaffLeaveQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public StaffLeaveQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public StaffLeaveQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<StaffLeaveQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<StaffLeaveQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<StaffLeaveQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<StaffLeaveQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}